## org.eclipse.emf.edit.provider
Class ComposedImage

    java.lang.Object
      org.eclipse.emf.edit.provider.ComposedImage

Direct Known Subclasses:
  GenBaseItemProvider.UnderlayedImage

    public class ComposedImage

extends java.lang.Object

This implements a wrapper that can be used to specify how a composed image should look.

Nested Class Summary
`static class` `ComposedImage.Point`
`static class` `ComposedImage.Size`

Field Summary
`protected java.util.List<java.lang.Object>` `images`
`protected java.util.List<ComposedImage.Size>` `imageSizes`

Constructor Summary
`ComposedImage(java.util.Collection<?> images)` This creates an empty instance.

Method Summary
`boolean` `equals(java.lang.Object that)`
`java.util.List<ComposedImage.Point>` `getDrawPoints(ComposedImage.Size size)`
`java.util.List<java.lang.Object>` `getImages()`
`ComposedImage.Size` `getSize(java.util.Collection<? extends ComposedImage.Size> imageSizes)`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### images

    protected java.util.List<java.lang.Object> images

### imageSizes

    protected java.util.List<ComposedImage.Size> imageSizes

Constructor Detail

### ComposedImage

    public ComposedImage(java.util.Collection<?> images)

  This creates an empty instance.

Method Detail

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getImages

    public java.util.List<java.lang.Object> getImages()

### getSize

    public ComposedImage.Size getSize(java.util.Collection<? extends ComposedImage.Size> imageSizes)

### getDrawPoints

    public java.util.List<ComposedImage.Point> getDrawPoints(ComposedImage.Size size)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.